This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 435706 - (CVE-2008-1149) CVE-2008-1149 phpMyAdmin 2.11.5 contains a security fix
CVE-2008-1149 phpMyAdmin 2.11.5 contains a security fix
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.phpmyadmin.net/home_page/s...
impact=low,reported=20080303,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 09:20 EST by Lubomir Kundrak
Modified: 2008-04-24 07:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 07:10:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-03 09:20:59 EST
SQL injection via maliciously crafted cookie. Application running from the same
domain as phpMyAdmin must create the cookie for phpMyAdmin to pick up to exploit
this.

See upstream advisory for details:
http://www.phpmyadmin.net/home_page/security.php?issue=PMASA-2008-1
Comment 1 Lubomir Kundrak 2008-03-03 09:22:15 EST
CVE name was requested.
Comment 2 Fedora Update System 2008-03-03 13:23:05 EST
phpMyAdmin-2.11.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-03-03 13:25:32 EST
phpMyAdmin-2.11.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Tomas Hoger 2008-03-05 11:40:00 EST
CVE-2008-1149:

phpMyAdmin before 2.11.5 accesses $_REQUEST to obtain some parameters
instead of $_GET and $_POST, which allows attackers in the same domain
to override certain variables and conduct SQL injection and Cross Site
Request Forgery (CSRF) attacks by using crafed cookies.
Comment 5 Red Hat Product Security 2008-04-24 07:10:59 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-2229
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2189

Note You need to log in before you can comment on or make changes to this bug.